Expose additional image alignment attributes in wiki text
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
None
Projects
Reference
bz8535
Description

Author: public.wiki

Description:
I am a user from Wikipedia. I found Image tag only can use "left", "right" and "center" alignment attributes
on the current version, but I need more attributes, like "absbottom", "absmiddle", "baseline" and so on for
getting more perfect make-up effects. For example, there are still many Chinese characters not included
by the current Unicode version or system fonts, and an alternative solution is converting those
characters to image files. In order to make images stand (or looks like) in the same baseline with words,
more alignment attributes are necessary. Otherwise the make-up will look ugly and have a bad reading
experience. It will be appreciated to bring more alignment attributes on the next version. Thank you in
advance.


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 9:29 PM
bzimport set Reference to bz8535.
bzimport created this task.Via LegacyJan 8 2007, 1:12 PM
bzimport added a comment.Via ConduitJan 12 2007, 2:35 AM

ayg wrote:

Proposed patch

Proposed patch, needs review.

Attached: 8535a.patch

bzimport added a comment.Via ConduitFeb 2 2007, 12:45 AM

ayg wrote:

Applied with a small tweak in r19720.

Add Comment